package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 征信相关情况 企业负责人历史表
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_credit_investigation_info_history")
public class CCreditInvestigationInfoHistory {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业信息id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 身份类型
     */
    @TableField("type")
    private String type;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    @TableField(exist = false)
    private List<Long> fileList;
    @TableField(exist = false)
    private List<FileStorageDO> cardFiles;
    @TableField(exist = false)
    private List<FileStorageDO> files;

    /**
     * 身份类型
     */
    @TableField(exist = false)
    private String typeStr;

    @TableField(exist = false)
    private List<FileStorage> creditDetailFiles;

    public List<FileStorage> getCreditDetailFiles() {
        return creditDetailFiles;
    }

    public void setCreditDetailFiles(List<FileStorage> creditDetailFiles) {
        this.creditDetailFiles = creditDetailFiles;
    }

    public List<FileStorageDO> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorageDO> files) {
        this.files = files;
    }

    public String getTypeStr() {
        return typeStr;
    }

    public void setTypeStr(String typeStr) {
        this.typeStr = typeStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<Long> getFileList() {
        return fileList;
    }

    public void setFileList(List<Long> fileList) {
        this.fileList = fileList;
    }

    public List<FileStorageDO> getCardFiles() {
        return cardFiles;
    }

    public void setCardFiles(List<FileStorageDO> cardFiles) {
        this.cardFiles = cardFiles;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    @Override
    public String toString() {
        return "CCreditInvestigationInfoHistory{" +
            "cEnterpriseHistoryId=" + cEnterpriseHistoryId +
            ", type=" + type +
            ", name=" + name +
            ", socialCreditCode=" + socialCreditCode +
        "}";
    }
}
